Bug 1405954 - [GSS](6.4.z) Changing the max-pool-size of the datasource pool should indicate a "reload required" in the CLI output [NEEDINFO]
Summary: [GSS](6.4.z) Changing the max-pool-size of the datasource pool should indicat...
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JCA   
(Show other bugs)
Version: 6.4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: CR1
: EAP 6.4.20
Assignee: varsha
QA Contact: Pavel Slavicek
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: eap6420-payload
TreeView+ depends on / blocked
 
Reported: 2016-12-19 09:52 UTC by Harshada
Modified: 2018-07-31 21:51 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-23 12:44:05 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bmaxwell: needinfo? (vkamble)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-10786 Major Resolved [GSS](7.2.0) Changing the max-pool-size of the datasource pool should indicate a "reload required" in the CLI output 2018-10-31 09:56 UTC
JBoss Issue Tracker JBEAP-10895 Major Pull Request Sent [GSS](7.0.z) Changing the max-pool-size of the datasource pool should indicate a "reload required" in the CLI output 2018-10-31 09:56 UTC
JBoss Issue Tracker WFLY-8767 Major Resolved Changing the max-pool-size of the datasource pool should indicate a "reload required" in the CLI output 2018-10-31 09:56 UTC

Description Harshada 2016-12-19 09:52:50 UTC
Description of problem: 
In EAP domain mode, when changing the max-pool-size attribute of a datasource via CLI, the response does not indicate that a reload is required. However, reading the statistics of that datasource does not reflect the Available count as per the new max pool value until a restart of the server is performed.

Version-Release number of selected component (if applicable):
EAP 6.4.x

How reproducible:
Each time

Steps to Reproduce:

1.# enable statistics to be able to observe behavior
/profile=default/subsystem=datasources/data-source=ExampleDS:write-attribute(name=statistics-enabled, value=true)

2. #Print initial statistics 
 /host=master/server=server-one/subsystem=datasources/data-source=ExampleDS/statistics=pool:read-attribute(name=AvailableCount)
{
    "outcome" => "success",
    "result" => "9"
}

3. #Change the max-pool-size :
 [domain@localhost:9999 /] /profile=default/subsystem=datasources/data-source=ExampleDS:write-attribute(name=max-pool-size,value=10)
{
    "outcome" => "success",
    "result" => undefined,
    "server-groups" => {"main-server-group" => {"host" => {"master" => {
        "server-one" => {"response" => {"outcome" => "success"}},
        "server-two" => {"response" => {"outcome" => "success"}}
    }}}}
}

4. #check the above change to be reflected in the AvailableCount 
[domain@localhost:9999 /] /host=master/server=server-one/subsystem=datasources/data-source=ExampleDS/statistics=pool:read-attribute(name=AvailableCount)
{
    "outcome" => "success",
    "result" => "9"
}

5.#Restart the servers :
[domain@localhost:9999 /] /server-group=main-server-group:restart-servers()

6. # observe the correct max is now reflected in the statistics
[domain@localhost:9999 /] /host=master/server=server-one/subsystem=datasources/data-source=ExampleDS/statistics=pool:read-attribute(name=AvailableCount)
{
    "outcome" => "success",
    "result" => "10"
}


Actual results:
The AvailableCount is reflected as per the changed max-pool-size only after server restarts.


Expected results:
After changing the max-pool-size of the datasource, the AvailableCount should be reflected as per the max-pool-size without a restart of the servers.


Additional info:

Comment 3 Radovan STANCEL 2017-02-23 12:44:05 UTC
This issue has been fixed in previous releases. It is working correctly in EAP 6.4.13

Comment 7 Anup Kumar Dey 2017-05-18 15:55:26 UTC
PR Sent: https://github.com/jbossas/jboss-eap/pull/2985

Comment 8 Anup Kumar Dey 2017-05-19 11:23:04 UTC
Closed the PR https://github.com/jbossas/jboss-eap/pull/2985. As discussed with Varsha Kamble, she will take care of.

Comment 11 Fedor Gavrilov 2017-07-12 17:13:48 UTC
core team requested changes on upstream PR

Comment 16 Jiří Bílek 2018-04-27 13:21:05 UTC
Regression tests passed
Verified with EAP 6.4.20.CP.CR1


Note You need to log in before you can comment on or make changes to this bug.